Correct an external party address
curl --request PATCH \
--url https://api.natural.com/external-parties/{externalPartyId}/address \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"data": {
"attributes": {
"expectedAddressVersion": 0,
"address": {
"line1": "456 Market St",
"city": "San Francisco",
"state": "CA",
"postalCode": "94105",
"countryCode": "US"
}
}
}
}
'import requests
url = "https://api.natural.com/external-parties/{externalPartyId}/address"
payload = { "data": { "attributes": {
"expectedAddressVersion": 0,
"address": {
"line1": "456 Market St",
"city": "San Francisco",
"state": "CA",
"postalCode": "94105",
"countryCode": "US"
}
} } }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
data: {
attributes: {
expectedAddressVersion: 0,
address: {
line1: '456 Market St',
city: 'San Francisco',
state: 'CA',
postalCode: '94105',
countryCode: 'US'
}
}
}
})
};
fetch('https://api.natural.com/external-parties/{externalPartyId}/address', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "epty_550e8400e29b41d4a716446655440000",
"type": "external_party",
"attributes": {
"kind": "individual",
"name": "Jordan Rivera",
"email": "jordan@example.com",
"phone": "+14155550132",
"address": {
"line1": "456 Market St",
"line2": null,
"city": "San Francisco",
"state": "CA",
"postalCode": "94105",
"countryCode": "US"
},
"addressVersion": 1,
"screeningStatus": "clear",
"archivedAt": null,
"createdAt": "2026-08-04T15:30:00Z",
"updatedAt": "2026-08-04T15:30:00Z"
},
"relationships": {
"customer": {
"data": {
"type": "party",
"id": "pty_7c9e6679e29b41d4a716446655440001"
}
}
}
}
}{
"errors": [
{
"code": "invalid_value",
"detail": "The information you entered isn't valid. Please check it and try again.",
"status": "400",
"meta": {
"supportId": "req_a1b2c3d4e5f6"
}
}
]
}{
"errors": [
{
"code": "unauthenticated",
"detail": "Authentication is required.",
"status": "401",
"meta": {
"supportId": "req_a1b2c3d4e5f6"
}
}
]
}{
"errors": [
{
"code": "forbidden",
"detail": "You do not have permission to perform this action.",
"status": "403",
"meta": {
"supportId": "req_a1b2c3d4e5f6"
}
}
]
}{
"errors": [
{
"code": "not_found",
"detail": "The requested resource was not found.",
"status": "404",
"meta": {
"supportId": "req_a1b2c3d4e5f6"
}
}
]
}{
"errors": [
{
"code": "conflict",
"detail": "The request conflicts with the current resource state.",
"status": "409",
"meta": {
"supportId": "req_a1b2c3d4e5f6"
}
}
]
}{
"errors": [
{
"code": "invalid_value",
"detail": "Too big: expected string to have <=80 characters",
"status": "422",
"source": {
"pointer": "/data/attributes/description"
},
"meta": {
"supportId": "req_a1b2c3d4e5f6"
}
}
]
}{
"errors": [
{
"code": "mfa_required",
"detail": "MFA verification required",
"status": "428",
"meta": {
"supportId": "req_a1b2c3d4e5f6"
}
}
]
}{
"errors": [
{
"code": "rate_limited",
"detail": "Too many requests. Please try again later.",
"status": "429",
"meta": {
"supportId": "req_a1b2c3d4e5f6"
}
}
]
}{
"errors": [
{
"code": "server_error",
"detail": "Something went wrong.",
"status": "500",
"meta": {
"supportId": "req_a1b2c3d4e5f6"
}
}
]
}{
"errors": [
{
"code": "not_implemented",
"detail": "This operation is not available.",
"status": "501",
"meta": {
"supportId": "req_a1b2c3d4e5f6"
}
}
]
}{
"errors": [
{
"code": "bad_gateway",
"detail": "We couldn't complete that request because one of Natural's services returned an unexpected response. Please try again.",
"status": "502",
"meta": {
"supportId": "req_a1b2c3d4e5f6"
}
}
]
}{
"errors": [
{
"code": "service_unavailable",
"detail": "The service is temporarily unavailable.",
"status": "503",
"meta": {
"supportId": "req_a1b2c3d4e5f6"
}
}
]
}Direct: External parties
Correct an external party address
Correct a beneficiary address and synchronize existing bank accounts. Retry the same address after an incomplete synchronization.
PATCH
/
external-parties
/
{externalPartyId}
/
address
Correct an external party address
Authorizations
Bearer authentication: send your API key, agent key, or OAuth access token as Authorization: Bearer <credential>.
Headers
Caller-chosen identifier for the agent run, session, or conversation, required when an agent moves money.
Maximum string length:
1024Path Parameters
Pattern:
^epty_[0-9a-f]{32}$Body
application/json
Show child attributes
Show child attributes
Response
Successful Response
Show child attributes
Show child attributes
Was this page helpful?